package com.fzm.mall.server.admin.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.admin.system.entity.dto.SysSensitiveWordsDTO;
import com.fzm.mall.server.admin.system.entity.dto.SysSensitiveWordsSaveDTO;
import com.fzm.mall.server.admin.system.model.SysSensitiveWords;

import java.util.Set;

/**
 * <p>
 * 系统中心-敏感词 服务类
 * </p>
 *
 * @author wulixian
 * @since 2021-03-29
 */
public interface ISysSensitiveWordsService extends IService<SysSensitiveWords> {

    void save(SysSensitiveWordsSaveDTO sensitiveWordsSaveDTO);

    void delete(String sensitiveWordsId);

    SysSensitiveWordsDTO read(String sensitiveWordsId);

    IPage<SysSensitiveWordsDTO> page(Page<SysSensitiveWordsDTO> page, String sensitiveWords);

    /**
     * 系统中心-敏感词-测试
     * @param text
     * @return
     */
    Set<String> test(String text);
}
